Debian Bug report logs - #603116
RFP: libx11-xcb-perl -- perl bindings for libxcb

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Axel Beckert <abe@debian.org>

Date: Wed, 10 Nov 2010 23:54:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, debian-devel@lists.debian.org, michael+xcb@stapelberg.de, wnpp@debian.org:
Bug#603116; Package wnpp. (Wed, 10 Nov 2010 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, debian-devel@lists.debian.org, michael+xcb@stapelberg.de, wnpp@debian.org. (Wed, 10 Nov 2010 23:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libx11-xcb-perl -- perl bindings for libxcb
Date: Thu, 11 Nov 2010 00:50:56 +0100 (CET)
Package: wnpp
Severity: wishlist

* Package name    : libx11-xcb-perl
  Version         : 0.01_006 (not really released yet)
  Upstream Author : Michael Stapelberg <michael+xcb@stapelberg.de>
* URL or Web page : http://search.cpan.org/~mstplbg/X11-XCB-0.01_006/lib/X11/XCB.pm.in
* License         : Artistic
  Description     : perl bindings for libxcb

These bindings wrap libxcb (a C library to speak with X11, in many
cases better than Xlib in many aspects) and provide a nice object
oriented interface to its methods (using Moose).

Please note that its aim is NOT to provide yet another toolkit for
creating graphical applications. It is a low-level method of
communicating with X11. Use cases include testcases for all kinds of
X11 applications, implementing really simple applications which do not
require an graphical toolkit (such as GTK, QT, etc.) or command-line
utilities which communicate with X11.




Changed Bug title to 'ITP: libx11-xcb-perl -- perl bindings for libxcb' from 'RFP: libx11-xcb-perl -- perl bindings for libxcb' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 20:24:03 GMT) Full text and rfc822 format available.

Owner recorded as gregor herrmann <gregoa@debian.org>. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 20:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603116; Package wnpp. (Thu, 11 Nov 2010 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Nov 2010 20:30:03 GMT) Full text and rfc822 format available.

Message #14 received at 603116@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Axel Beckert <abe@debian.org>, 603116@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#603116: RFP: libx11-xcb-perl -- perl bindings for libxcb
Date: Thu, 11 Nov 2010 21:26:51 +0100
[Message part 1 (text/plain, inline)]
On Thu, 11 Nov 2010 00:50:56 +0100, Axel Beckert wrote:

> * Package name    : libx11-xcb-perl
>   Version         : 0.01_006 (not really released yet)
>   Upstream Author : Michael Stapelberg <michael+xcb@stapelberg.de>
> * URL or Web page : http://search.cpan.org/~mstplbg/X11-XCB-0.01_006/lib/X11/XCB.pm.in
> * License         : Artistic
>   Description     : perl bindings for libxcb
> 
> These bindings wrap libxcb (a C library to speak with X11, in many
> cases better than Xlib in many aspects) and provide a nice object
> oriented interface to its methods (using Moose).

I was wondering why you don't package it yourself but after looking
at it I think I know :)

Anyway, a preliminary package is available in the pkg-perl svn repo.
But I'm not sure this is a module ready for Debian:
- not released upstream
- warnings about pending API changes and experimental character
- (fun with missing parts in META.yml and half-baked POD)
- a botched test
- tests fail with xvfb and pass without only because most of them are
  skipped due to a missing connection to the xserver (in my
  cowbuilder chroot)

If you nevertheless feel like uploading, I suggest to target
experimental for the time being.


Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bruce Springsteen: Walk Like A Man
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, gregor herrmann <gregoa@debian.org>:
Bug#603116; Package wnpp. (Thu, 11 Nov 2010 22:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, gregor herrmann <gregoa@debian.org>. (Thu, 11 Nov 2010 22:06:07 GMT) Full text and rfc822 format available.

Message #19 received at 603116@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 603116@bugs.debian.org, debian-perl@lists.debian.org
Cc: Michael Stapelberg <michael+xcb@stapelberg.de>
Subject: Re: Bug#603116: RFP: libx11-xcb-perl -- perl bindings for libxcb
Date: Thu, 11 Nov 2010 23:04:24 +0100
Hi Gregor,

gregor herrmann wrote:
> > * Package name    : libx11-xcb-perl
> >   Version         : 0.01_006 (not really released yet)
> >   Upstream Author : Michael Stapelberg <michael+xcb@stapelberg.de>
> > * URL or Web page : http://search.cpan.org/~mstplbg/X11-XCB-0.01_006/lib/X11/XCB.pm.in
> > * License         : Artistic
> >   Description     : perl bindings for libxcb
> > 
> > These bindings wrap libxcb (a C library to speak with X11, in many
> > cases better than Xlib in many aspects) and provide a nice object
> > oriented interface to its methods (using Moose).
> 
> I was wondering why you don't package it yourself but after looking
> at it I think I know :)

Well, I was thinking about it, but as Upstream is also active within
Debian I contacted him first (via IRC, so no Cc on the bug-report --
won't let that happen again).

> Anyway, a preliminary package is available in the pkg-perl svn repo.

My bad. I found the following out just after I wrote the RFP: The
upstream author who is also maintainer of some Debian packages, also
works on packaging for it. (He told me on IRC.) Some beginning is
already in the git repo at http://code.stapelberg.de/git/X11-XCB/tree/debian

I send him some patches against his packaging which are needed to get
it to build at least (missing B-D, etc.)

> But I'm not sure this is a module ready for Debian:
> - not released upstream

That's the reason why upstream hasn't published it yet.

> - warnings about pending API changes and experimental character
> - (fun with missing parts in META.yml and half-baked POD)
> - a botched test
> - tests fail with xvfb and pass without only because most of them are
>   skipped due to a missing connection to the xserver (in my
>   cowbuilder chroot)

Hey, that sounds like more than Michael did on packaging. 

Michael, Gregor: Please merge your packaging efforts! :-)

> If you nevertheless feel like uploading, I suggest to target
> experimental for the time being.

I'll wait for Michael's first release anyway, but will continue to
test it then and when.

BTW: I basically plan to use that as replacement for the buggy and
removed nawm (Not A Window Manager, http://packages.debian.org/nawm).

Sorry again for not updating this RFP earlier.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603116; Package wnpp. (Thu, 11 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Nov 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 603116@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 603116@bugs.debian.org, debian-perl@lists.debian.org, Michael Stapelberg <michael+xcb@stapelberg.de>, Axel Beckert <abe@debian.org>
Subject: Re: Bug#603116: RFP: libx11-xcb-perl -- perl bindings for libxcb
Date: Thu, 11 Nov 2010 23:18:09 +0100
[Message part 1 (text/plain, inline)]
On Thu, 11 Nov 2010 23:04:24 +0100, Axel Beckert wrote:

> > I was wondering why you don't package it yourself but after looking
> > at it I think I know :)
> Well, I was thinking about it, but as Upstream is also active within
> Debian I contacted him first (via IRC, so no Cc on the bug-report --
> won't let that happen again).

Oh, I didn't know that. Nice!
 
> > Anyway, a preliminary package is available in the pkg-perl svn repo.
> My bad. I found the following out just after I wrote the RFP: The
> upstream author who is also maintainer of some Debian packages, also
> works on packaging for it. (He told me on IRC.) Some beginning is
> already in the git repo at http://code.stapelberg.de/git/X11-XCB/tree/debian
> I send him some patches against his packaging which are needed to get
> it to build at least (missing B-D, etc.)

Ok.
 
> > - (fun with missing parts in META.yml and half-baked POD)
> > - a botched test
> > - tests fail with xvfb and pass without only because most of them are
> >   skipped due to a missing connection to the xserver (in my
> >   cowbuilder chroot)
> Hey, that sounds like more than Michael did on packaging. 

:)
 
> Michael, Gregor: Please merge your packaging efforts! :-)

Definitely!
Michael, would you like to join the Debian Perl Group, so we can
work together on the packaging?

Info at http://wiki.debian.org/Teams/DebianPerlGroup/Welcome

"My" package is in our svn repo at
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libx11-xcb-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libx11-xcb-perl/

(Including two patches.)
 
> > If you nevertheless feel like uploading, I suggest to target
> > experimental for the time being.
> I'll wait for Michael's first release anyway, but will continue to
> test it then and when.

Great.
 
> BTW: I basically plan to use that as replacement for the buggy and
> removed nawm (Not A Window Manager, http://packages.debian.org/nawm).

Nice.
 
> Sorry again for not updating this RFP earlier.

No problem.


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Neil Young: I Believe In You
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, gregor herrmann <gregoa@debian.org>:
Bug#603116; Package wnpp. (Mon, 15 Nov 2010 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, gregor herrmann <gregoa@debian.org>. (Mon, 15 Nov 2010 13:36:03 GMT) Full text and rfc822 format available.

Message #29 received at 603116@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: gregor herrmann <gregoa@debian.org>
Cc: 603116 <603116@bugs.debian.org>, debian-perl <debian-perl@lists.debian.org>, Axel Beckert <abe@debian.org>
Subject: Re: Bug#603116: RFP: libx11-xcb-perl -- perl bindings for libxcb
Date: Mon, 15 Nov 2010 14:24:47 +0100
Hi everybody,

Excerpts from gregor herrmann's message of 2010-11-11 23:18:09 +0100:
> Definitely!
> Michael, would you like to join the Debian Perl Group, so we can
> work together on the packaging?
Sure, I already have an account on alioth and will send the mail to debian-perl
in a few minutes.

Best regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, gregor herrmann <gregoa@debian.org>:
Bug#603116; Package wnpp. (Wed, 27 Jul 2011 16:35:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, gregor herrmann <gregoa@debian.org>. (Wed, 27 Jul 2011 16:35:49 GMT) Full text and rfc822 format available.

Message #34 received at 603116@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 603116@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libx11-xcb-perl: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 603116 RFP: libx11-xcb-perl -- perl bindings for libxcb
noowner 603116
thanks

Hi,

This is an automatic email to change the status of libx11-xcb-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libx11-xcb-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 603116 ITP: libx11-xcb-perl -- perl bindings for libxcb
 owner 603116 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <603116@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libx11-xcb-perl -- perl bindings for libxcb' from 'ITP: libx11-xcb-perl -- perl bindings for libxcb' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by gregor herrmann <gregoa@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603116; Package wnpp. (Tue, 04 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 603116@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 603116@bugs.debian.org
Subject: current status
Date: Tue, 4 Sep 2012 12:52:26 +0200
i'd like to express interest in a package libx11-xcb-perl, and give an
overview of the current situation:

* by now, there exists a 0.05 version, released recently (august 2012)
  -- it is reasonable to assume that some of the problems mentioned
  earlier have already be solved.
* the current version seems to depend on XS-Object-Magic, to be found on
  [1], which probably needs packaging too.
* the i3 package has an upstream testsuite, which can't be run easily
  under debian without libx11-xcb-perl. if this was packaged, the test
  suite could even be run as a part of the package building process.

[1] http://search.cpan.org/~flora/XS-Object-Magic-0.04/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603116; Package wnpp. (Tue, 04 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Sep 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #48 received at 603116@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: chrysn <chrysn@fsfe.org>
Cc: 603116@bugs.debian.org
Subject: Re: current status
Date: Tue, 4 Sep 2012 14:39:35 +0200
Hi,

On Tue, 4 Sep 2012 12:52:26 +0200
chrysn <chrysn@fsfe.org> wrote:
> * by now, there exists a 0.05 version, released recently (august 2012)
>   -- it is reasonable to assume that some of the problems mentioned
>   earlier have already be solved.
Well, there obviously was an upstream release and META.yml should be
correct. The API is still experimental and might change. Tests are still
not different.

> * the current version seems to depend on XS-Object-Magic, to be found
> on [1], which probably needs packaging too.
Yes, gregoa already recognized that, see
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libx11-xcb-perl.git;a=blob;f=debian/changelog;h=9ef2867a8759588fc8cee3cdb3bafc9061a768b6;hb=HEAD

> * the i3 package has an upstream testsuite, which can't be run easily
>   under debian without libx11-xcb-perl. if this was packaged, the test
>   suite could even be run as a part of the package building process.
True, but then again, X11::XCB is not of much use to anyone except for
low-level X11 testcases. Also, installing it using "cpanm X11::XCB" is
pretty straight-forward (you need xsltproc, libXau-dev, libxdmcp-dev,
cpanminus) and expected when running the i3 testsuite anyways (to get
the latest and greatest version).

Best regards,
Michael



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:05:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.